﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=11.5
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: True
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	


End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	
	
	Private AnotherDatePicker1 As AnotherDatePicker
	Private backgroundImage As ImageView
	Private dateLabel As Label
	Private insertLabel As Label
	Private okButton As Button

	Dim myImage As Bitmap
	
	
		
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	
	
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("AddDate")
	
	Main.shared = Main.rp.GetSafeDirDefaultExternal ("")
	
	backgroundImage.Bitmap = LoadBitmap(File.DirAssets, "background_bio_it.png")
	
	myImage.Initialize(File.DirAssets, "pulsante_calcola_it.png")
	okButton.SetBackgroundImage(myImage)
	
	SetButtonTextSize(okButton, "OK!!")
	
	'SetButtonTextSize(okButton, "OK!")  testo per il pulsante che io non uso
	
	If Main.language = "it" Then
		
		backgroundImage.Bitmap = LoadBitmap(File.DirAssets, "background_bio_it.png")
				
	else if Main.language = "es" Then
		
		backgroundImage.Bitmap = LoadBitmap(File.DirAssets, "background_bio_es.png")
			
	Else
			
		backgroundImage.Bitmap = LoadBitmap(File.DirAssets, "background_bio_eng.png")
	
	End If
		
		AnotherDatePicker1.Show         'calendario show
		okButton.Enabled = False      'disabilito il pulsante di registrazione data
		
		
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub


Sub AnotherDayPicker1_Closed (Cancelled As Boolean, Date As Long)
	
	'okButton.Enabled = True

	
	Dim Today As Long = DateTime.DateParse(DateTime.Date(DateTime.Now))  'variabile per contenere data e ora si usa variabile di tipo long
	Date = DateTime.DateParse(DateTime.Date(Date))
	
	'Log(dayTodayString & "/" & monthTodayString & "/" & yearTodayString & " - " & hourTodayString&":"&minuteTodayString)
	'Log(Date)

	If Cancelled = False And Date < Today Then
		
		Dim year As Int = DateTime.GetYear(Date)
		Dim month As Int = DateTime.GetMonth(Date)
		Dim day As Int = DateTime.GetDayOfMonth(Date)
	
		
		If Main.language = "it" Or Main.language = "es" Then
			
			Main.insertedDate = day & "/" & month & "/" & year
					
		Else
						
			Main.insertedDate = month & "/" & day & "/" & year
			
			Log("Risultato: " & Main.insertedDate)
		End If
		
		okButton.Enabled = True
			
	Else
			
		'avviso che la da deve essere precedente a oggi
			
		If Main.language = "it" Then
			
			Msgbox("Devi inserire solo una data anteriore a oggi", "ATTENZIONE!")
					
		Else If Main.language = "es" Then
					
			Msgbox("Solo tienes que introducir una fecha anterior a hoy", "¡ATENCIÓN!")
			
		Else
			
			Msgbox("You must enter only a date before to today "," ATTENTION!")
		End If
	
		okButton.Enabled = False
	
	End If
	

End Sub

Private Sub okButton_Click
	
	Main.shared = Main.rp.GetSafeDirDefaultExternal ("")
	
	If File.Exists(Main.shared, "CalcolatoreBioritmo/Date.txt") Then
		
		File.WriteString(Main.shared, "CalcolatoreBioritmo/Date.txt", Main.insertedDate)
		
	Else
			
	
		File.MakeDir(Main.shared, "CalcolatoreBioritmo")
		File.WriteString(Main.shared, "CalcolatoreBioritmo/Date.txt", Main.insertedDate)
		
	End If
	
	StartActivity(Bioritmo)
	
End Sub


'Sub SetLabelSize(lbl As Label, txt As String)
'	Dim dt As Float
'	Dim limit = 0.5 As Float
'	Dim h As Int
'   
'	lbl.Text = txt
'	lbl.TextSize = 72
'	dt = lbl.TextSize
'	h = Main.stu.MeasureMultilineTextHeight(lbl, txt)
'	Do While dt > limit Or h > lbl.Height
'		dt = dt / 2
'		h = Main.stu.MeasureMultilineTextHeight(lbl, txt)
'		If h > lbl.Height Then
'			lbl.TextSize = lbl.TextSize - dt
'			lbl.TextSize = lbl.TextSize - 1 'ho aggiunto questo meno 1 se no a volte la scritta era grande e non si leggeva
'		Else
'			lbl.TextSize = lbl.TextSize + dt
'			lbl.TextSize = lbl.TextSize - 1 'ho aggiunto questo meno 1 se no a volte la scritta era grande e non si leggeva
'		End If
'	Loop
'End Sub
'	

'questo serve a modificare la grandezza del testo nel bottone
Sub SetButtonTextSize(lbl As Button, txt As String)
	Dim dt As Float
	Dim limit = 0.5 As Float
	' Dim limit = 1 As Float
	Dim h As Int
   
	lbl.Text = txt
	lbl.TextSize = 72
	dt = lbl.TextSize
	h = Main.stu.MeasureMultilineTextHeight(lbl, txt)
	Do While dt > limit Or h > lbl.Height
		dt = dt / 2
		h = Main.stu.MeasureMultilineTextHeight(lbl, txt)
		If h > lbl.Height Then
			lbl.TextSize = lbl.TextSize - dt
			lbl.TextSize = lbl.TextSize - 2 'ho aggiunto questo meno 2 se no era grande e andava fuori dal bottone
		Else
			lbl.TextSize = lbl.TextSize + dt
			lbl.TextSize = lbl.TextSize - 2 'ho aggiunto questo meno 2 se no era grande e andava fuori dal bottone
		End If
	Loop
End Sub 